# class KRadioAction | An action that operates like a radio button. More...
Definition | `#include <kaction.h>`
Inherits | KToggleAction [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KRadioAction ( const QString& text, int accel = 0, QObject* parent = 0, const char* name = 0 )
- KRadioAction ( const QString& text, int accel, const QObject* receiver, const char* slot, QObject* parent, const char* name = 0 )
- KRadioAction ( const QString& text, const QIconSet& pix, int accel = 0, QObject* parent = 0, const char* name = 0 )
- KRadioAction ( const QString& text, const QString& pix, int accel = 0, QObject* parent = 0, const char* name = 0 )
- KRadioAction ( const QString& text, const QIconSet& pix, int accel, const QObject* receiver, const char* slot, QObject* parent, const char* name = 0 )
- KRadioAction ( const QString& text, const QString& pix, int accel, const QObject* receiver, const char* slot, QObject* parent, const char* name = 0 )
- KRadioAction ( QObject* parent = 0, const char* name = 0 )

#### Protected Methods

- virtual void slotActivated ()

## Detailed Description

An action that operates like a radio button. At any given time only a single action from the group will be active.

KRadioAction ( const QString& text, int accel = 0, QObject* parent = 0, const char* name = 0 ) | ### KRadioAction

Construct a radio action with text and potential keyboard accelerator but nothing else. Use this only if you really know what you are doing.

Parameters:

text | The text that will be displayed.
accel | The corresponding keyboard accelerator (shortcut).
parent | This action's parent.
name | An internal name for this action.

KRadioAction ( const QString& text, int accel, const QObject* receiver, const char* slot, QObject* parent, const char* name = 0 ) | ### KRadioAction

Parameters:

text | The text that will be displayed.
accel | The corresponding keyboard accelerator (shortcut).
receiver | The SLOT's parent.
slot | The SLOT to invoke to execute this action.
parent | This action's parent.
name | An internal name for this action.

KRadioAction ( const QString& text, const QIconSet& pix, int accel = 0, QObject* parent = 0, const char* name = 0 ) | ### KRadioAction

Parameters:

text | The text that will be displayed.
pix | The icons that go with this action.
accel | The corresponding keyboard accelerator (shortcut).
parent | This action's parent.
name | An internal name for this action.

KRadioAction ( const QString& text, const QString& pix, int accel = 0, QObject* parent = 0, const char* name = 0 ) | ### KRadioAction

Parameters:

text | The text that will be displayed.
pix | The dynamically loaded icon that goes with this action.
accel | The corresponding keyboard accelerator (shortcut).
parent | This action's parent.
name | An internal name for this action.

KRadioAction ( const QString& text, const QIconSet& pix, int accel, const QObject* receiver, const char* slot, QObject* parent, const char* name = 0 ) | ### KRadioAction

Parameters:

text | The text that will be displayed.
pix | The icons that go with this action.
accel | The corresponding keyboard accelerator (shortcut).
receiver | The SLOT's parent.
slot | The SLOT to invoke to execute this action.
parent | This action's parent.
name | An internal name for this action.

KRadioAction ( const QString& text, const QString& pix, int accel, const QObject* receiver, const char* slot, QObject* parent, const char* name = 0 ) | ### KRadioAction

Parameters:

text | The text that will be displayed.
pix | The dynamically loaded icon that goes with this action.
accel | The corresponding keyboard accelerator (shortcut).
receiver | The SLOT's parent.
slot | The SLOT to invoke to execute this action.
parent | This action's parent.
name | An internal name for this action.

KRadioAction ( QObject* parent = 0, const char* name = 0 ) | ### KRadioAction

Parameters:

parent | This action's parent.
name | An internal name for this action.

void slotActivated () | ### slotActivated

[protected virtual]

Reimplemented from KToggleAction.

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:37:45 2001, using kdoc 2.0a53.